testmodule.h File Reference
`#include <gwenhywfar/types.h>`
`#include <gwenhywfar/tree2.h>`
`#include <gwenhywfar/inherit.h>`
`#include <gwenhywfar/db.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_TEST_MODULE | GWEN_TEST_MODULE
typedef int GWENHYWFAR_CB(* | GWEN_TEST_MODULE_TEST_FN) (GWEN_TEST_MODULE *p_struct)

## Functions

GWENHYWFAR_API GWEN_TEST_MODULE * | GWEN_Test_Module_AddModule (GWEN_TEST_MODULE *st, const char *tName, const char *tDescr)
GWENHYWFAR_API GWEN_TEST_MODULE * | GWEN_Test_Module_AddTest (GWEN_TEST_MODULE *st, const char *tName, GWEN_TEST_MODULE_TEST_FN fn, const char *tDescr)
GWENHYWFAR_API void | GWEN_Test_Module_Attach (GWEN_TEST_MODULE *p_struct)
GWENHYWFAR_API GWEN_TEST_MODULE * | GWEN_Test_Module_copy (GWEN_TEST_MODULE *p_struct, const GWEN_TEST_MODULE *p_src)
GWENHYWFAR_API GWEN_TEST_MODULE * | GWEN_Test_Module_dup (const GWEN_TEST_MODULE *p_struct)
GWENHYWFAR_API void | GWEN_Test_Module_free (GWEN_TEST_MODULE *p_struct)
GWENHYWFAR_API GWEN_TEST_MODULE * | GWEN_Test_Module_fromDb (GWEN_DB_NODE *p_db)
GWENHYWFAR_API const char * | GWEN_Test_Module_GetCharParam (const GWEN_TEST_MODULE *st, const char *paramName, const char *defVal)
GWENHYWFAR_API const char * | GWEN_Test_Module_GetDescription (const GWEN_TEST_MODULE *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Test_Module_GetId (const GWEN_TEST_MODULE *p_struct)
GWENHYWFAR_API const char * | GWEN_Test_Module_GetName (const GWEN_TEST_MODULE *p_struct)
GWENHYWFAR_API int | GWEN_Test_Module_GetResult (const GWEN_TEST_MODULE *p_struct)
GWENHYWFAR_API GWEN_TEST_MODULE * | GWEN_Test_Module_new (void)
GWENHYWFAR_API void | GWEN_Test_Module_ReadDb (GWEN_TEST_MODULE *p_struct, GWEN_DB_NODE *p_db)
GWENHYWFAR_API void | GWEN_Test_Module_SetCharParam (GWEN_TEST_MODULE *st, const char *paramName, const char *val)
GWENHYWFAR_API void | GWEN_Test_Module_SetDescription (GWEN_TEST_MODULE *p_struct, const char *p_src)
GWENHYWFAR_API void | GWEN_Test_Module_SetId (GWEN_TEST_MODULE *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Test_Module_SetName (GWEN_TEST_MODULE *p_struct, const char *p_src)
GWENHYWFAR_API void | GWEN_Test_Module_SetResult (GWEN_TEST_MODULE *p_struct, int p_src)
GWENHYWFAR_API GWEN_TEST_MODULE_TEST_FN | GWEN_Test_Module_SetTestFn (GWEN_TEST_MODULE *p_struct, GWEN_TEST_MODULE_TEST_FN fn)
GWENHYWFAR_API int | GWEN_Test_Module_Test (GWEN_TEST_MODULE *p_struct)
GWENHYWFAR_API int | GWEN_Test_Module_toDb (const GWEN_TEST_MODULE *p_struct, GWEN_DB_NODE *p_db)
GWENHYWFAR_API GWEN_TEST_MODULE * | GWEN_Test_Module_Tree2_GetById (const GWEN_TEST_MODULE *p_object, uint32_t p_cmp)
GWENHYWFAR_API int | GWEN_Test_Module_WriteDb (const GWEN_TEST_MODULE *p_struct, GWEN_DB_NODE *p_db)

## Typedef Documentation

## GWEN_TEST_MODULE

typedef struct GWEN_TEST_MODULE GWEN_TEST_MODULE

Definition at line 65 of file testmodule.h.

## GWEN_TEST_MODULE_TEST_FN

typedef int GWENHYWFAR_CB(* GWEN_TEST_MODULE_TEST_FN) (GWEN_TEST_MODULE *p_struct)

Definition at line 75 of file testmodule.h.

## Function Documentation

## GWEN_Test_Module_AddModule()

GWENHYWFAR_API GWEN_TEST_MODULE * GWEN_Test_Module_AddModule | ( | GWEN_TEST_MODULE * | st,
|  | const char * | tName,
|  | const char * | tDescr )

References GWEN_Test_Module_AddModule(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_AddModule().

## GWEN_Test_Module_AddTest()

GWENHYWFAR_API GWEN_TEST_MODULE * GWEN_Test_Module_AddTest | ( | GWEN_TEST_MODULE * | st,
|  | const char * | tName,
|  | GWEN_TEST_MODULE_TEST_FN | fn,
|  | const char * | tDescr )

References GWEN_Test_Module_AddTest(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_AddTest().

## GWEN_Test_Module_Attach()

GWENHYWFAR_API void GWEN_Test_Module_Attach | ( | GWEN_TEST_MODULE * | p_struct | ) |

References GWEN_Test_Module_Attach(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_Attach().

## GWEN_Test_Module_copy()

GWENHYWFAR_API GWEN_TEST_MODULE * GWEN_Test_Module_copy | ( | GWEN_TEST_MODULE * | p_struct,
|  | const GWEN_TEST_MODULE * | p_src )

References GWEN_Test_Module_copy(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_copy().

## GWEN_Test_Module_dup()

GWENHYWFAR_API GWEN_TEST_MODULE * GWEN_Test_Module_dup | ( | const GWEN_TEST_MODULE * | p_struct | ) |

References GWEN_Test_Module_dup(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_dup().

## GWEN_Test_Module_free()

GWENHYWFAR_API void GWEN_Test_Module_free | ( | GWEN_TEST_MODULE * | p_struct | ) |

Destructor.

References GWEN_Test_Module_free(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_free().

## GWEN_Test_Module_fromDb()

GWENHYWFAR_API GWEN_TEST_MODULE * GWEN_Test_Module_fromDb | ( | GWEN_DB_NODE * | p_db | ) |

References GWEN_Test_Module_fromDb(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_fromDb().

## GWEN_Test_Module_GetCharParam()

GWENHYWFAR_API const char * GWEN_Test_Module_GetCharParam | ( | const GWEN_TEST_MODULE * | st,
|  | const char * | paramName,
|  | const char * | defVal )

References GWEN_Test_Module_GetCharParam(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_GetCharParam().

## GWEN_Test_Module_GetDescription()

GWENHYWFAR_API const char * GWEN_Test_Module_GetDescription | ( | const GWEN_TEST_MODULE * | p_struct | ) |

Getter. Use this function to get the member "description" (see GWEN_TEST_MODULE_description)

References GWEN_Test_Module_GetDescription(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_GetDescription().

## GWEN_Test_Module_GetId()

GWENHYWFAR_API uint32_t GWEN_Test_Module_GetId | ( | const GWEN_TEST_MODULE * | p_struct | ) |

Getter. Use this function to get the member "id" (see GWEN_TEST_MODULE_id)

References GWEN_Test_Module_GetId(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_GetId().

## GWEN_Test_Module_GetName()

GWENHYWFAR_API const char * GWEN_Test_Module_GetName | ( | const GWEN_TEST_MODULE * | p_struct | ) |

Getter. Use this function to get the member "name" (see GWEN_TEST_MODULE_name)

References GWEN_Test_Module_GetName(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_GetName().

## GWEN_Test_Module_GetResult()

GWENHYWFAR_API int GWEN_Test_Module_GetResult | ( | const GWEN_TEST_MODULE * | p_struct | ) |

Getter. Use this function to get the member "result" (see GWEN_TEST_MODULE_result)

References GWEN_Test_Module_GetResult(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_GetResult().

## GWEN_Test_Module_new()

GWENHYWFAR_API GWEN_TEST_MODULE * GWEN_Test_Module_new | ( | void |  | ) |

Constructor.

References GWEN_Test_Module_new(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_new().

## GWEN_Test_Module_ReadDb()

GWENHYWFAR_API void GWEN_Test_Module_ReadDb | ( | GWEN_TEST_MODULE * | p_struct,
|  | GWEN_DB_NODE * | p_db )

References GWEN_Test_Module_ReadDb(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_ReadDb().

## GWEN_Test_Module_SetCharParam()

GWENHYWFAR_API void GWEN_Test_Module_SetCharParam | ( | GWEN_TEST_MODULE * | st,
|  | const char * | paramName,
|  | const char * | val )

References GWEN_Test_Module_SetCharParam(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_SetCharParam().

## GWEN_Test_Module_SetDescription()

GWENHYWFAR_API void GWEN_Test_Module_SetDescription | ( | GWEN_TEST_MODULE * | p_struct,
|  | const char * | p_src )

Setter. Use this function to set the member "description" (see GWEN_TEST_MODULE_description)

References GWEN_Test_Module_SetDescription(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_SetDescription().

## GWEN_Test_Module_SetId()

GWENHYWFAR_API void GWEN_Test_Module_SetId | ( | GWEN_TEST_MODULE * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "id" (see GWEN_TEST_MODULE_id)

References GWEN_Test_Module_SetId(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_SetId().

## GWEN_Test_Module_SetName()

GWENHYWFAR_API void GWEN_Test_Module_SetName | ( | GWEN_TEST_MODULE * | p_struct,
|  | const char * | p_src )

Setter. Use this function to set the member "name" (see GWEN_TEST_MODULE_name)

References GWEN_Test_Module_SetName(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_SetName().

## GWEN_Test_Module_SetResult()

GWENHYWFAR_API void GWEN_Test_Module_SetResult | ( | GWEN_TEST_MODULE * | p_struct,
|  | int | p_src )

Setter. Use this function to set the member "result" (see GWEN_TEST_MODULE_result)

References GWEN_Test_Module_SetResult(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_SetResult().

## GWEN_Test_Module_SetTestFn()

GWENHYWFAR_API GWEN_TEST_MODULE_TEST_FN GWEN_Test_Module_SetTestFn | ( | GWEN_TEST_MODULE * | p_struct,
|  | GWEN_TEST_MODULE_TEST_FN | fn )

References GWEN_Test_Module_SetTestFn(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_SetTestFn().

## GWEN_Test_Module_Test()

GWENHYWFAR_API int GWEN_Test_Module_Test | ( | GWEN_TEST_MODULE * | p_struct | ) |

Returns the list of ABS_ACCOUNT_INFO objects for all known accounts. The caller is responsible for freeing the list returned (if any) via ABS_AccountInfo_List_free.

References GWEN_Test_Module_Test(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_Test().

## GWEN_Test_Module_toDb()

GWENHYWFAR_API int GWEN_Test_Module_toDb | ( | const GWEN_TEST_MODULE * | p_struct,
|  | GWEN_DB_NODE * | p_db )

References GWEN_Test_Module_toDb(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_toDb().

## GWEN_Test_Module_Tree2_GetById()

GWENHYWFAR_API GWEN_TEST_MODULE * GWEN_Test_Module_Tree2_GetById | ( | const GWEN_TEST_MODULE * | p_object,
|  | uint32_t | p_cmp )

References GWEN_Test_Module_Tree2_GetById(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_Tree2_GetById().

## GWEN_Test_Module_WriteDb()

GWENHYWFAR_API int GWEN_Test_Module_WriteDb | ( | const GWEN_TEST_MODULE * | p_struct,
|  | GWEN_DB_NODE * | p_db )

References GWEN_Test_Module_WriteDb(), and GWENHYWFAR_API.

Referenced by GWEN_Test_Module_WriteDb().